curl --request GET \
--url https://api.helloannie.com/v1/conversationsimport requests
url = "https://api.helloannie.com/v1/conversations"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.helloannie.com/v1/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"conversations": [
{
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversationTags": [
"<string>"
],
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"medium": "CHAT",
"botId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"toNumber": "<string>",
"fromNumber": "<string>",
"summary": "<string>",
"billed": true,
"actionsNeeded": [
"<string>"
],
"topic": "<string>",
"duration": 1500,
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"status": "OPEN"
}
],
"pagination": {
"limit": 123,
"hasMore": true,
"nextCursor": "<string>"
}
}
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}List conversations
Return a paginated list of conversations. By default, returns conversations for the authenticated organization, sorted by creation date (newest first). Archived conversations are excluded by default. For account organizations, use includeChildren=true to include conversations from child organizations. Use the returned nextCursor to retrieve the next page while preserving the same filters. This endpoint permits 180 requests per minute per organization.
Query Parameters
Opaque cursor returned by the previous page. Recommended for backfills and sequential pagination.
1Number of items to return (max 100)
1 <= x <= 100Filter conversations by a specific organization ID
Filter conversations by a specific bot ID
Include archived conversations in the results
Include conversations from child organizations (only applicable for account orgs)